package com.smppw.analysis.application.dto.info;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/8/7 17:40
 * @description 头部成立以来指标
 */
@Setter
@Getter
public class HeadIndicatorVO {
    @JsonProperty(value = "AnnualReturn")
    private String annualReturn;

    @JsonProperty(value = "AnnualStdDev")
    private String annualStdDev;

    @JsonProperty(value = "MaxDrawdown")
    private String maxDrawdown;

    @JsonProperty(value = "SharpeRatio")
    private String sharpeRatio;
}
