package com.smppw.analysis.application.dto.info;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/8/7 16:41
 * @description 普通的非货币型基金基本信息-头部
 */
@Setter
@Getter
public class PubilclyFundHeadInfoVO {
    /**
     * 基金管理人ID
     */
    private String trustId;
    /**
     * 基金管理人
     */
    private String trustName;
    /**
     * 基金经理 id:名称
     */
    private List<ValueLabelVO> managers;
    /**
     * 基金状态值
     */
    private String fundStatusValue;
    /**
     * 基金规模 中基协数据
     */
    private String fundScale;
    /**
     * 单位净值
     */
    private String originalNav;
    /**
     * 复权净值
     */
    private String cumulativeNav;
    /**
     * 累计净值
     */
    private String cumulativeNavWithdrawal;
}
