package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.performance.CorrelationParams;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class CorrelationReq extends BasePerformanceReq<CorrelationParams> {
    // 滚动窗口
    private Integer rollingWindow;
    // 步长
    private Integer step;

    @Override
    public CorrelationParams convert() {
        return BeanUtil.copyProperties(this, CorrelationParams.class);
    }
}
