package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.ListUtil;
import com.smppw.analysis.domain.dto.performance.IndicatorParams;
import com.smppw.common.pojo.enums.Indicator;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class IndicatorReq extends BasePerformanceReq<IndicatorParams> {
    private String riskOfFreeId;
    private Double riskOfFreeValue;
    private Boolean calcExtraRet;

    @Override
    public IndicatorParams convert() {
        IndicatorParams params = BeanUtil.copyProperties(this, IndicatorParams.class);
        params.setIndicators(ListUtil.toList(Indicator.INDICATOR_TYPE_ARRAY));
        params.setExtraIndicators(ListUtil.toList(Indicator.RISK_TABLE_EXCESS_INDICATOR_ARRAY));
        return params;
    }
}
