package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.performance.RankParams;
import com.smppw.common.pojo.enums.Indicator;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class RankReq extends BasePerformanceReq<RankParams> {
    /**
     * 选择的指标
     */
    private Indicator indicator;

    @Override
    public RankParams convert() {
        return BeanUtil.copyProperties(this, RankParams.class);
    }
}
