package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.stock.ChangeNumberParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 14:53
 * @description 持股数量变动时序 接口请求参数
 */
@Setter
@Getter
public class ChangeNumberReq extends BasePositionReq<ChangeNumberParams> {
    @Override
    public ChangeNumberParams convert() {
        return BeanUtil.copyProperties(this, ChangeNumberParams.class);
    }
}
