package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.synthesize.HolderInfoParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 14:26
 * @description 公募基金持有人结构 请求参数
 */
@Setter
@Getter
public class HolderInfoReq extends BasePositionReq<HolderInfoParams> {
    @Override
    public HolderInfoParams convert() {
        return BeanUtil.copyProperties(this, HolderInfoParams.class);
    }
}
