package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.synthesize.LeverageChangeParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 11:30
 * @description 杠杆变化，不需要支持穿透
 */
@Setter
@Getter
public class LeverageChangeReq extends BasePositionReq<LeverageChangeParams> {
    @Override
    public LeverageChangeParams convert() {
        return BeanUtil.copyProperties(this, LeverageChangeParams.class);
    }
}
