package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.stock.MajorChangeParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 14:53
 * @description 持仓股票重大变动 接口请求参数
 */
@Setter
@Getter
public class MajorChangeReq extends BasePositionReq<MajorChangeParams> {
    @Override
    public MajorChangeParams convert() {
        return BeanUtil.copyProperties(this, MajorChangeParams.class);
    }
}
