package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.future.MarginalRiskContributionParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/19 11:16
 * @description 私募基金期货的边际风险贡献接口请求参数
 */
@Setter
@Getter
public class MarginalRiskContributionReq extends BasePositionReq<MarginalRiskContributionParams> {
    @Override
    public MarginalRiskContributionParams convert() {
        return BeanUtil.copyProperties(this, MarginalRiskContributionParams.class);
    }
}
