package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.synthesize.PositionInfoParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 14:10
 * @description 持仓列表的返回参数接口的请求参数
 */
@Setter
@Getter
public class PositionInfoReq extends BasePositionReq<PositionInfoParams> {
    @Override
    public PositionInfoParams convert() {
        return BeanUtil.copyProperties(this, PositionInfoParams.class);
    }
}
