package com.smppw.analysis.domain.dao;

import com.smppw.analysis.domain.dataobject.FundStyleStatsDO;
import com.smppw.analysis.domain.manager.style.FundStyleStatsMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author mozuwen
 * @date 2023/8/9 14:30
 * @description 基金风格ao
 */
@Service
public class FundStyleDao {

    private final FundStyleStatsMapper fundStyleStatsMapper;

    public FundStyleDao(FundStyleStatsMapper fundStyleStatsMapper) {
        this.fundStyleStatsMapper = fundStyleStatsMapper;
    }

    public List<FundStyleStatsDO> listFundStyleOverview(String fundId){
        return fundStyleStatsMapper.listFundStyleOverview(fundId);
    }

}
