package com.smppw.analysis.domain.dataobject;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/7/26 13:59
 * @description 期货价格
 */
@Setter
@Getter
public class FutureDailyPriceDO {
    /**
     * 期货标的
     */
    private String refId;
    /**
     * 交易日
     */
    private String priceDate;
    /**
     * 收盘价
     */
    private Double closePrice;
    /**
     * 收盘价张跌幅
     * 金融期货才能从数据库查到，商品期货需要计算
     */
    private Double closePriceRet;
}
