package com.smppw.analysis.domain.dataobject;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Date;

/**
* @author Rain
* @date 2023/5/23 11:19
* @description 
*/
@Getter
@Setter
@ToString
public class MonetaryFundProfitDO {
    private Integer id;

    /**
    * 货币基金id
    */
    private String fundId;

    /**
    * 交易日
    */
    private Date priceDate;

    /**
    * 每万份收益
    */
    private BigDecimal profitPerMillion;

    /**
    * 7日年化收益
    */
    private BigDecimal profitServenDayAnnual;

    /**
    * 涉及天数
    */
    private Integer involvedDays;

    /**
    * 记录的有效性；1-有效；0-无效；
    */
    private Byte isvalid;

    /**
    * 创建者Id,默认第一次创建者名称，创建后不变更
    */
    private Integer creatorid;

    /**
    * 创建时间,默认第一次创建的getdate()时间
    */
    private Date createtime;

    /**
    * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
    */
    private Integer updaterid;

    /**
    * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
    */
    private Date updatetime;
}