package com.smppw.analysis.domain.dto.performance;

import com.smppw.common.pojo.enums.Indicator;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/3/3 17:26
 * @description 收益风险指标接口特定请求参数
 */
@Setter
@Getter
public class IndicatorParams extends BaseParams {
    private String riskOfFreeId;
    private Double riskOfFreeValue;
    private Boolean calcExtraRet;
    private List<Indicator> indicators;
    private List<Indicator> extraIndicators;
}
