package com.smppw.analysis.domain.dto.performance;

import com.smppw.common.pojo.enums.Frequency;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/3/6 11:25
 * @description 收益统计接口请求参数
 */
@Setter
@Getter
public class RevenueParams extends BaseParams {
    // 1-收益统计，2-收益分布
    private String revenuType;

    // 是否计算超额
    private Boolean ifExcessReturn = false;

    // 滚动频率，周、月、季度和年度
    private Frequency rollingFrequency;

    // 组距，收益分布图表支持用户自定义，收益分布必传参数，可以提供默认值为6
    private String space;
}
