package com.smppw.analysis.domain.dto.position.bond;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/6/6 14:53
 * @description 股票集中度 接口返回结果
 */
public class CreditGradingBondVO {
    /**
     * 估值日期
     */
    private String date;
    /**
     * 基金的资产净值
     */
    private BigDecimal assetNv;
    /**
     * 每个估值日期内所有的股票市值和市值占比，按照占比降序
     */
    private List<RefCreditMarketValueRatio> position;

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public BigDecimal getAssetNv() {
        return assetNv;
    }

    public void setAssetNv(BigDecimal assetNv) {
        this.assetNv = assetNv;
    }

    public List<RefCreditMarketValueRatio> getPosition() {
        return position;
    }

    public void setPosition(List<RefCreditMarketValueRatio> position) {
        this.position = position;
    }
}
