package com.smppw.analysis.domain.dto.position.bond;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 18:06
 * @description 债券 久期分析 接口返回结构
 */
@Setter
@Getter
public class DurationAnalysisVO {
    /**
     * 估值日期
     */
    private String date;
    /**
     * 持仓久期
     */
    private String duration;
    /**
     * 净资产久期
     */
    private String nvDuration;
    /**
     * 修正久期0~1.0
     */
    private String correctDuration;
    /**
     * 修正久期1.0~3.0
     */
    private String correctDuration1;
    /**
     * 修正久期3~5.0
     */
    private String correctDuration3;
    /**
     * 修正久期5.0~7.0
     */
    private String correctDuration5;
    /**
     * 修正久期7+
     */
    private String correctDuration7;
}
