package com.smppw.analysis.domain.dto.position.stock;

import com.smppw.analysis.domain.dto.position.BaseParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 17:13
 * @description 股票barra敏感度分析 接口请求参数
 */
@Setter
@Getter
public class BarraSensitivityParams extends BaseParams {
    /**
     * 基准，只支持 沪深300、中证500、中证1000
     */
    private String benchmarkId;
    /**
     * 估值日期
     */
    private String date;
}
