package com.smppw.analysis.domain.dto.position.stock;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @author wangzaijun
 * @date 2023/6/6 14:53
 * @description 股票-行业配置偏好时序 接口返回结果
 */
@Setter
@Getter
public class IndustryAllocationPreferenceVO {
    /**
     * 报告期
     */
    private String date;
    /**
     * 行业关系映射，只保存在第一个日期中
     */
    private List<ValueLabelVO> industryList;

    /**
     * 每个行业的偏好=基金行业-基准行业
     */
    private Map<String, String> industryPreference;
    /**
     * 平均行业偏移
     */
    private String avg;
}
