package com.smppw.analysis.domain.dto.position.stock;

import com.smppw.analysis.domain.dto.position.BaseAnalysisParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 15:27
 * @description 行业配置\风格配置或流动性 接口请求参数
 */
@Setter
@Getter
public class StockAllocationParams extends BaseAnalysisParams {
    /**
     * 方向约束，默认多空，其他条件不生效
     * 1-多头，2-空头，3-多空
     */
    private String constraint;
}
