package com.smppw.analysis.domain.dto.position.synthesize;

import com.smppw.common.pojo.ValueLabelVO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/6/6 14:10
 * @description 持仓列表的返回参数接口的返回结构
 */
@Setter
@Getter
public class PositionInfoVO {
    /**
     * 类别
     */
    private List<ValueLabelVO> types;
    /**
     * 估值日期
     */
    private List<String> dates;
}
