package com.smppw.analysis.domain.dto.position.synthesize;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/6/6 11:30
 * @description 持仓列表
 */
@Setter
@Getter
public class PositionListVO {
    private String date;
    /**
     * 成本
     */
    private String cost;
    /**
     * 市值
     */
    private String marketValue;
    /**
     * 名称
     */
    private String name;
    /**
     * 数量
     */
    private String num;
    /**
     * 数量变化
     */
    private String numChange;
    /**
     * 停牌信息
     */
    private String suspension;
    /**
     * 类别
     */
    private String type;
    /**
     * 估值增值
     */
    private String valueChange;
    /**
     * 增值比例
     */
    private String valueChangeRatio;
    /**
     * 权重
     */
    private BigDecimal weight;
}
