package com.smppw.analysis.domain.dto.style;

import com.smppw.analysis.infrastructure.consts.Constraint;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Setter
@Getter
public class CustomRbsaParams extends BaseParams {
    /**
     * 约束，LongPosition-多头，ShortPosition-多空
     */
    private Constraint constraint = Constraint.LongPosition;
    /**
     * 自选基准
     */
    private List<String> indexIds;
    /**
     * 系数和是否为1
     */
    private Integer constraintType;
    /**
     * 是否计算超额，1-是，0-否，默认0
     */
    private Integer excess;
}
