package com.smppw.analysis.domain.dto.style.py;

import cn.hutool.core.map.MapUtil;
import lombok.Builder;

import java.util.Map;

@Builder
public class PyReqParam {
    private final String api;
    private final String method;
    private final Boolean json;
    private final String taskId;
    private final Integer control;
    private final Map<String, Object> ext;

    public String getApi() {
        return api;
    }

    public String getMethod() {
        return method;
    }

    public Boolean getJson() {
        return json;
    }

    public String getTaskId() {
        return taskId;
    }

    public Integer getControl() {
        return control;
    }

    public Map<String, Object> getExt() {
        return ext == null ? MapUtil.newHashMap() : ext;
    }
}
