package com.smppw.analysis.domain.mapper;

import com.smppw.analysis.domain.dataobject.BondBasicInformationDO;
import com.smppw.analysis.domain.dataobject.BondCreditGradingInfo;
import com.smppw.analysis.domain.dataobject.BondIndustryInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Rain
 * @date 2023/6/12 10:56
 * @description
 */
@Mapper
public interface BondBasicInformationDOMapper {
    List<BondBasicInformationDO> selectAllMappings();

    List<BondBasicInformationDO> queryBondBasicInfo(@Param("idList") List<String> bondIdSet);

    List<BondCreditGradingInfo> queryCreditGradingByBondId(@Param("idList") List<String> idList);

    List<BondIndustryInfo> queryBondIndustry(@Param("idList") List<String> idList);
}