package com.smppw.analysis.domain.service.impl;

import com.smppw.analysis.domain.dao.FundStyleDao;
import com.smppw.analysis.domain.dataobject.FundStyleStatsDO;
import com.smppw.analysis.domain.service.FundStyleService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author mozuwen
 * @date 2023/8/9 14:30
 * @description 基金风格domain服务实现层
 */
@Service
public class FundStyleServiceImpl implements FundStyleService {

    private final FundStyleDao fundStyleDao;

    public FundStyleServiceImpl(FundStyleDao fundStyleDao) {
        this.fundStyleDao = fundStyleDao;
    }

    @Override
    public List<FundStyleStatsDO> listFundStyleOverview(String fundId) {
        return fundStyleDao.listFundStyleOverview(fundId);
    }

}
