package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.ListUtil;
import com.smppw.analysis.domain.dto.performance.TrendParams;
import com.smppw.common.pojo.enums.TrendType;

public class DrawdownTrendReq extends BasePerformanceReq<TrendParams> {
    @Override
    public TrendParams convert() {
        TrendParams params = BeanUtil.copyProperties(this, TrendParams.class);
        params.setTrendTypes(ListUtil.toList(TrendType.DrawdownTrend, TrendType.ExtraDrawdownTrend));
        params.setIndexTrendTypes(ListUtil.toList(TrendType.DrawdownTrend));
        return params;
    }
}
