package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.performance.IntervalParams;
import com.smppw.common.pojo.enums.Indicator;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class IntervalReq extends BasePerformanceReq<IntervalParams> {
    private Indicator indicator;

    private Boolean excess = false;

    @Override
    public IntervalParams convert() {
        return BeanUtil.copyProperties(this, IntervalParams.class);
    }
}
