package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.performance.RollingParams;
import com.smppw.common.pojo.enums.Frequency;
import com.smppw.common.pojo.enums.Indicator;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class RollingReq extends BasePerformanceReq<RollingParams> {
    private Indicator indicator;
    private Frequency rollingFrequency;

    @Override
    public RollingParams convert() {
        return BeanUtil.copyProperties(this, RollingParams.class);
    }
}
