package com.smppw.analysis.application.dto.performance;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.performance.WinParams;
import com.smppw.analysis.infrastructure.consts.WinRateBmk;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class WinReq extends BasePerformanceReq<WinParams> {
    private WinRateBmk winRateBmk;
    private String lower;
    private String upper;

    @Override
    public WinParams convert() {
        return BeanUtil.copyProperties(this, WinParams.class);
    }
}
