package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.synthesize.AssetAllocationParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 11:30
 * @description 大类资产配置，后续支持穿透
 */
@Setter
@Getter
public class AssetAllocationReq extends BasePositionReq<AssetAllocationParams> {
    @Override
    public AssetAllocationParams convert() {
        return BeanUtil.copyProperties(this, AssetAllocationParams.class);
    }
}
