package com.smppw.analysis.application.dto.position;

import cn.hutool.core.bean.BeanUtil;
import com.smppw.analysis.domain.dto.position.stock.ConcentrationParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 14:53
 * @description 股票集中度 接口请求参数
 */
@Setter
@Getter
public class ConcentrationReq extends BasePositionReq<ConcentrationParams> {
    @Override
    public ConcentrationParams convert() {
        return BeanUtil.copyProperties(this, ConcentrationParams.class);
    }
}
