package com.smppw.analysis.domain.dataobject;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class DepositNavDo {
    /**
    * id
    */
    private Integer id;

    /**
    * 基金id，'HF'开头(后加36进制编码格式,不足8位长度左补零） 例：HF00000001
    */
    private String fundId;

    /**
    * 净值日期
    */
    private Date priceDate;

    /**
    * 单位净值
    */
    private BigDecimal nav;

    /**
    * 创建者Id,默认第一次创建者名称，创建后不变更
    */
    private Integer creatorid;

    /**
    * 创建时间,默认第一次创建的getdate()时间
    */
    private Date createtime;

    /**
    * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
    */
    private Integer updaterid;

    /**
    * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
    */
    private Date updatetime;

    /**
    * 记录的有效性；1-有效；0-无效；
    */
    private Integer isvalid;
}