package com.smppw.analysis.domain.dataobject;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author wangzaijun
 * @date 2023/6/9 9:59
 * @description 持仓股票重大变动
 */
@Setter
@Getter
public class PubliclyFundStockChangeDO {
    /**
     *
     */
    private String fundId;
    /**
     * 报告期
     */
    private Date reportDate;
    /**
     * 股票代码
     */
    private String secCode;
    /**
     * 股票名称
     */
    private String secName;
    /**
     * 交易方向
     */
    private Integer changeType;
    /**
     * 当期累计交易金额
     */
    private BigDecimal accumulatedTradeSum;
    /**
     * 占期初基金资产净值比例
     */
    private BigDecimal ratioInNvAtBegin;
    /**
     * 占期末基金净值比例
     */
    private BigDecimal ratioInNvAtEnd;
}
