package com.smppw.analysis.domain.dataobject;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/20 21:39
 * @description 股票行情表现
 */
@Setter
@Getter
public class SecClosePriceDO {
    private String secCode;
    private String tradingDay;
    /**
     * 当前价格（收盘价）
     */
    private Double closePrice;
    /**
     * 近六月涨跌幅
     */
    private Double ret6m;
}
