package com.smppw.analysis.domain.dataobject;

import com.smppw.constants.Consts;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * @author wangzaijun
 * @date 2023/6/8 18:33
 * @description
 */
@Setter
@Getter
public class SecStyleInfoDO implements Serializable {
    private static final long serialVersionUID = Consts.DEFAULT_SERIAL_VERSION_UID;
    private String endDate;
    private String secCode;
    /**
     * 市场（大盘、中盘、小盘）
     */
    private Integer market;
    /**
     * 平衡（成长、价值、平衡）
     */
    private Integer balance;
}
