package com.smppw.analysis.domain.dto.position;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Setter
@Getter
public class MarketValueRatio {
    private String date;
    /**
     * 市值
     */
    private BigDecimal marketValue;
    /**
     * 占净值比
     */
    private BigDecimal ratio;

    public MarketValueRatio() {
    }

    public MarketValueRatio(String date, BigDecimal marketValue, BigDecimal ratio) {
        this.date = date;
        this.marketValue = marketValue;
        this.ratio = ratio;
    }
}
