package com.smppw.analysis.domain.dto.position;

/**
 * @author wangzaijun
 * @date 2023/6/12 14:12
 * @description 流动性枚举
 */
public enum PositionLiquidityEnum {
    HIGH("高流动性"),
    HIGHER("较高流动性"),
    SAME_AS("一般流动性"),
    LOWER("较低流动性"),
    LOW("低流动性"),

    OTHER("其他");

    private final String desc;

    PositionLiquidityEnum(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }
}
