package com.smppw.analysis.domain.dto.position.bond;

import com.smppw.analysis.domain.dto.position.BaseParams;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 16:31
 * @description 债券业绩归因 接口请求参数
 */
@Setter
@Getter
public class BondPerformanceAttributionParams extends BaseParams {
    /**
     * 基准，只支持 沪深300、中证500、中证1000
     */
    private String benchmarkId;
    /**
     * 1-债券类型，2-持仓个债
     */
    private String type;
}
