package com.smppw.analysis.domain.dto.position.future;

import com.smppw.common.pojo.ValueLabelVO;
import com.smppw.analysis.domain.dto.position.RefMarketValueRatio;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/6/19 11:19
 * @description 边际风险贡献度
 */
@Setter
@Getter
public class MarginalRiskContribution extends RefMarketValueRatio {
    /**
     * 风险贡献度
     */
    private BigDecimal riskCont;
    /**
     * 所属大类
     */
    private ValueLabelVO asset;
}
