package com.smppw.analysis.domain.dto.position.future;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/6/19 11:17
 * @description 私募基金期货的边际风险贡献接口返回结构
 */
@Setter
@Getter
public class MarginalRiskContributionVO {
    /**
     * 估值日期
     */
    private String date;
    /**
     * 该日期下各品种边际风险
     */
    private List<MarginalRiskContribution> riskContList;
}
