package com.smppw.analysis.domain.dto.position.stock;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 14:53
 * @description 持仓股票重大变动 接口返回结果
 */
@Setter
@Getter
public class MajorChangeVO {
    /**
     * 报告期
     */
    private String date;
    /**
     * 当期累计交易金额
     */
    private String accumulatedTradeSum;
    /**
     * 交易方向
     */
    private String changeType;
    /**
     * 占期初基金资产净值比例
     */
    private String ratioInNvAtBegin;
    /**
     * 股票代码
     */
    private String stockCode;
    /**
     * 股票名称
     */
    private String stockName;
    /**
     * 所属行业
     */
    private String industry;
}
