package com.smppw.analysis.domain.dto.position.synthesize;

import com.smppw.analysis.domain.dto.position.RefMarketValueRatio;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2023/6/6 11:30
 * @description 大类资产配置
 */
@Setter
@Getter
public class AssetAllocationVO {
    /**
     * 日期
     */
    private String date;

    /**
     * 市值与占净值比
     */
    private List<RefMarketValueRatio> asset;

    public AssetAllocationVO() {
    }

    public AssetAllocationVO(String date, List<RefMarketValueRatio> asset) {
        this.date = date;
        this.asset = asset;
    }
}
