package com.smppw.analysis.domain.dto.position.synthesize;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 14:26
 * @description 公募基金持有人结构 请求参数
 */
@Setter
@Getter
public class HolderInfoVO {
    /**
     * 估值日期
     */
    private String date;
    /**
     * 户均持有份额
     */
    private String averageHoldShares;
    /**
     * ETF基金持有比例
     */
    private String etfFeederHoldRatio;
    /**
     * 持有人户数
     */
    private String holderAccountNumber;
    /**
     * 个人持有比例
     */
    private String individualHoldRatio;
    /**
     * 机构持有比例
     */
    private String institutionHoldRatio;
    /**
     * 内部持有比例
     */
    private String professionalHoldRatio;
    /**
     * 前十大持有人持有份额合计
     */
    private String top10HolderAmount;
    /**
     * 前十大持有人持有比例合计
     */
    private String top10HoldersProportion;
    /**
     * 总份额=机构持有份额+个人持有份额+未明确投资者持有份额+基金从业人员持有份额+ETF连接基金持有份额
     */
    private String total;
}
