package com.smppw.analysis.domain.dto.position.synthesize;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/6/6 11:30
 * @description 杠杆变化
 */
@Setter
@Getter
public class LeverageChangeVO {
    /**
     * 日期
     */
    private String date;
    /**
     * 总资产
     */
    private String total;
    /**
     * 净资产值
     */
    private String nv;
    /**
     * 杠杆比=总资产/资产净值
     */
    private String leverage;
}
