package com.smppw.analysis.domain.dto.style;

import com.smppw.analysis.infrastructure.consts.Constraint;
import com.smppw.analysis.infrastructure.consts.ValueGrowthType;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/3/14 9:23
 * @description 成长价值风格 请求参数
 */
@Setter
@Getter
public class GrowthValueParams extends BaseParams {
    /**
     * 风格指数, 国证风格、国证策略、巨潮风格
     */
    private ValueGrowthType allocationIndex;
    /**
     * 约束，LongPosition-多头，ShortPosition-多空
     */
    private Constraint constraint = Constraint.LongPosition;
}
