package com.smppw.analysis.domain.dto.style;

import com.smppw.common.pojo.enums.RaiseType;
import com.smppw.constants.Consts;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/3/17 14:18
 * @description 风格总览 接口请求参数
 */
@Setter
@Getter
public class RzStyleParams {
    /**
     * 标的id
     */
    private String secId;
    /**
     * 开始日期
     */
    private String startDate = Consts.START_DATE;
    /**
     * 结束日期
     */
    private String endDate;
    /**
     * 标的类型
     */
    private RaiseType raiseType;
    /**
     * 基准id
     */
    private String benchmarkId;

    private Integer userId;
}
