package com.smppw.analysis.domain.dto.style.py;

import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.map.MapUtil;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@Setter
public class PyResBody {
    private Map<String, Object> holistic;
    private List<Map<String, Object>> sequential;
    private Map<String, List<Map<String, Object>>> extBody;

    public Map<String, Object> getHolistic() {
        return holistic == null ? MapUtil.newHashMap() : holistic;
    }

    public List<Map<String, Object>> getSequential() {
        return sequential == null ? ListUtil.list(false) : sequential;
    }

    public Map<String, List<Map<String, Object>>> getExtBody() {
        return extBody == null ? MapUtil.newHashMap() : extBody;
    }
}
