package com.smppw.analysis.domain.manager.position;

/**
 * @author wangzaijun
 * @date 2023/7/14 17:35
 * @description 持仓分析服务名静态常量
 */
public final class BizHandlerConstants {
    public static final String ASSET_ALLOCATION = "assetAllocation";
    public static final String LEVERAGE_CHANGE = "leverageChange";
    public static final String POSITION_LIST = "positionList";
    public static final String POSITION_PARAMS = "positionParams";
    public static final String CHANGE_NUMBER = "changeNumber";
    public static final String STOCK_CONCENTRATION = "stockConcentration";
    public static final String INDUSTRY_ALLOCATION = "industryAllocation";
    public static final String LIQUIDITY_ALLOCATION = "liquidityAllocation";
    public static final String RISK_EXPOSURE = "riskExposure";
    public static final String STOCK_PERFORMANCE_ATTRIBUTION = "stockPerformanceAttribution";
    public static final String STYLE_ALLOCATION = "styleAllocation";
    public static final String MARGINAL_RISK_CONTRIBUTION = "marginalRiskContribution";
    public static final String BOND_CONCENTRATION = "bondConcentration";

    private BizHandlerConstants() {

    }
}
