package com.smppw.analysis.domain.manager.style;

import com.smppw.analysis.domain.dataobject.FundStyleStatsDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author mozuwen
 * @date 2023/8/9 9:30
 * @description 基金风格指标表Mapper
 */
@Repository
public interface FundStyleStatsMapper {

    /**
     * 获取基金成立以来的风格总览
     *
     * @param fundId 基金id
     * @return 基金成立以来的风格总览
     */
    List<FundStyleStatsDO> listFundStyleOverview(@Param("fundId") String fundId);

}
