package com.smppw.analysis.domain.service;

import com.smppw.analysis.domain.dataobject.FundStyleStatsDO;

import java.util.List;

/**
 * @author mozuwen
 * @date 2023/8/9 14:30
 * @description 基金风格domain服务层
 */
public interface FundStyleService {

    /**
     * 获取基金成立以来的风格总览
     *
     * @param fundId 基金id
     * @return 基金成立以来的风格总览
     */
    List<FundStyleStatsDO> listFundStyleOverview(String fundId);

}
