package com.smppw.analysis.domain.service;

import com.smppw.common.pojo.dto.DateValue;
import com.smppw.common.pojo.enums.NavType;
import com.smppw.common.pojo.enums.Visibility;

import java.util.List;
import java.util.Map;

public interface NavService {
    Map<String, List<DateValue>> getSecIdDateValueNavListMapFromRedisAndDB(List<String> mainSecIdList, List<String> benchmarkIdList, List<String> indexList,
                                                                           String startDate, String endDate, NavType navType, Visibility visibility);

    Map<String, List<DateValue>> getSecIdDateValueNavListMapByDb(List<String> allSecIdList, String startDate, String endDate
            , Visibility visibility, NavType navType, Map<String, Boolean> secIfExtractMap);

    Map<String, List<DateValue>> getRongzhiIndexNavMap(List<String> rongzhiIndexIdList, String startDate, String endDate, NavType navType);

    Map<String, List<DateValue>> getMarketIndexNavMap(List<String> marketIndexIdList, String startDate, String endDate, NavType navType);

    Map<String, List<DateValue>> getPubliclyOfferedFundNavMap(List<String> fundIdList, String startDate, String endDate, NavType navType, Visibility visibility);

    Map<String, List<DateValue>> getPrivatelyOfferedFundNavMap(List<String> fundIdList, String startDate, String endDate, NavType navType, Visibility visibility
            , Map<String, Boolean> secIfExtractMap);
}
